<div layout="row" layout-sm="column" layout-xs="column">

    <div flex-gt-sm="33">
        <div ng-controller="KafkaConnectListCtrl" ng-include="'src/kafka-connect/list/list-connectors.html'"></div>
    </div>
    <div flex-gt-sm="66">
        <md-card class="new">

            <md-toolbar ng-show="!displayingControlTopics" class="md-hue-2">
                <div class="md-toolbar-tools">
                    <h4>
                        <span>Create New Connector </span> <!--({{connector.type}}): {{connector.name}}</span>-->
                    </h4>
                    <span flex></span>
                </div>
            </md-toolbar>

            <!--Info box-->
            <div class="connector-sum">
                <div layout="row"  layout-align="start center" layout-padding>
                    <div>
                        <img img ng-src="src/assets/icons/{{connector.icon}}" style="height:30px;"/>
                    </div>
                    <div>
                        <h3 ng-show="connector.type!='Sink'" style="font-size:12px;padding:0px; margin:0px">{{simpleName(connector.name)}} <i class="fa fa-long-arrow-right" aria-hidden="true"></i> Kafka</h3>
                        <h3 ng-show="connector.type=='Sink'" style="font-size:12px;padding:0px; margin:0px"> Kafka <i class="fa fa-long-arrow-right" aria-hidden="true"></i> {{simpleName(connector.name)}} </h3>
                        <p style="font-size:12px;padding:0px; margin:0px">{{connector.description}}</p>
                        <p style="font-size:12px;padding:0px; margin:5px 0 0 0;" class="grey">
                            <span ng-bind="::connector.class"></span>
                            <span ng-if="::docs">
                                | <a ng-href="{{:: docs }}" target="_blank">docs</a>
                            </span>
                        </p>
                    </div>
                    <span flex></span>
                </div>
            </div>

            <!-- Either show the configuration - or documentation -->
            <md-card-content style="padding-top: 2px">
                <!--Show Property file-->
                <div id="propertyFile" ng-hide="showCurl"
                     ng-model-options="{ debounce: 500 }"
                     ng-model="formValuesPerSection" ng-readonly="false"
                     style="background-color:rgba(0, 128, 0, 0.0392157);"
                     ui-ace="{
                           useWrapMode: true,
                           mode: 'properties',
                           showPrintMargin: false,
                           firstLineNumber: 1,
                           blockScrolling: Infinity,
                           onLoad: aceLoaded
                    }"></div>
                <!--Show Curl command-->
                <div id="curlCommand" ng-if="showCurl"
                     ng-model="curlCommand" ng-readonly="true"
                     style="background-color:rgba(0, 128, 0, 0.0392157);"
                     ui-ace="{
                           useWrapMode: true,
                           showGutter: false,
                           showPrintMargin: false,
                           theme:'chrome',
                           mode: 'batchfile',
                           firstLineNumber: 1,
                           highlightActiveLine: false,
                           highlightGutterLine: false,
                           onLoad: aceLoaded
                         }"></div>
                <md-toolbar class="md-hue-2" style="background-color: transparent;color:#333;height: 20px;">
                    <div class="md-toolbar-tools">
                        <md-checkbox ng-model="showCurl" aria-label="Show cURL command">
                            <span style="font-size:16px;">Show cURL command</span>
                        </md-checkbox>
                        <md-checkbox ng-click="getAllConfig(connector.class)" ng-hide='showAllConfig' layout-align="left" aria-label="Show all config">
                            <span style="font-size:16px;">Show Optional fields</span>
                        </md-checkbox>
                        <md-checkbox  ng-click="getAllConfig(connector.class)" ng-show='showAllConfig' layout-align="left" aria-label="Show all config">
                            <span style="font-size:16px;">Show Required fields</span>
                        </md-checkbox>
                        <span flex></span>
                        <md-button ng-hide="connector.isUndefined || toggleEditor " ng-disabled="forms.cForm.$invalid" ng-click="previousTab()">
                            <i class="fa fa-angle-double-left" aria-hidden="true"></i> Back
                        </md-button>
                        <md-button ng-disabled="errorConfigs.length != 0" ng-click="validateAndCreateConnector()">
                            Create
                        </md-button>
                    </div>
                </md-toolbar>
                <md-card-actions layout="row" layout-align="left">
                </md-card-actions>
                <!--{{forms.cForm.$error}}-->

                <!--Validation OK-->
                <div class="green">{{validConfig}}</div>

                <div class="green" ng-show="noextraconfig">There is no extra config</div>

                <!--Validation not OK-->
                <div ng-repeat="errorConfig in errorConfigs">
                    <div ng-repeat="error in errorConfig.errors" style="color: red">
                        {{error}}<br>
                    </div>
                </div>
                <div ng-repeat="warningConfig in warningConfigs">
                    <div ng-repeat="warning in warningConfig.warnings" style="color: orange">
                        {{warning}}<br>
                    </div>
                </div>
            </md-card-content>
        </md-card>
    </div>
</div>



